import * as React from "react";
import defaultTheme from "./defaultTheme.js";
import THEME_ID from "./identifier.js";
import useTheme$1 from "../../system/esm/useTheme.js";
function useTheme() {
  const theme = useTheme$1(defaultTheme);
  if (process.env.NODE_ENV !== "production") {
    React.useDebugValue(theme);
  }
  return theme[THEME_ID] || theme;
}
export {
  useTheme as default
};
